<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Class org.apache.poi.sl.usermodel.Placeholder (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class org.apache.poi.sl.usermodel.Placeholder (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
               title="enum in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/Placeholder.html" target="_top">Frames</a>
        </li>
        <li><a href="Placeholder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Class org.apache.poi.sl.usermodel.Placeholder" class="title">Uses of Class<br>org.apache.poi.sl.usermodel.Placeholder
    </h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                        title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.sl.usermodel">org.apache.poi.sl.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xslf.usermodel">org.apache.poi.xslf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                   title="enum in org.apache.poi.sl.usermodel">Placeholder</a> in <a
                            href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">HSLFShapePlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFPlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hslf/usermodel/package-summary.html">org.apache.poi.hslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSlide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;type)</code>
                                <div class="block">Search placeholder by its type</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html"
                                    title="class in org.apache.poi.hslf.usermodel">HSLFPlaceholderDetails</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSLFNotes.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFNotes.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span
                                    class="typeNameLabel">HSLFShapePlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFShapePlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFSimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">HSLFPlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hslf/usermodel/HSLFPlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.sl.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                   title="enum in org.apache.poi.sl.usermodel">Placeholder</a> in <a
                            href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">SimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">PlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#lookupNativeNotes-int-">lookupNativeNotes</a></span>(int&nbsp;nativeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#lookupNativeNotesMaster-int-">lookupNativeNotesMaster</a></span>(int&nbsp;nativeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#lookupNativeSlide-int-">lookupNativeSlide</a></span>(int&nbsp;nativeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#lookupNativeSlideMaster-int-">lookupNativeSlideMaster</a></span>(int&nbsp;nativeId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#lookupOoxml-int-">lookupOoxml</a></span>(int&nbsp;ooxmlId)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#valueOf-java.lang.String-">valueOf</a></span>(java.lang.String&nbsp;name)</code>
                                <div class="block">Returns the enum constant of this type with the specified name.</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>static <a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>[]</code></td>
                            <td class="colLast"><span class="typeNameLabel">Placeholder.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html#values--">values</a></span>()</code>
                                <div class="block">Returns an array containing the constants of this enum type, in
                                    the order they are declared.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/sl/usermodel/package-summary.html">org.apache.poi.sl.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">Slide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Slide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                <div class="block">In XSLF, slidenumber and date shapes aren't marked as placeholders
                                    whereas in HSLF they are activated via a HeadersFooter configuration.
                                </div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                    title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="type parameter in MasterSheet">S</a>,<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html"
                                    title="type parameter in MasterSheet">P</a>&gt;</code></td>
                            <td class="colLast"><span class="typeNameLabel">MasterSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/MasterSheet.html#getPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;type)</code>
                                <div class="block">Return the placeholder shape for the specified type</div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html"
                                    title="interface in org.apache.poi.sl.usermodel">PlaceholderDetails</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">Sheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Sheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                <div class="block">Get the placeholder details for the given placeholder type.</div>
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">SimpleShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                <div class="block">Specifies that the corresponding shape should be represented by the
                                    generating application
                                    as a placeholder.
                                </div>
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">PlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/PlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>
                                <div class="block">Specifies that the corresponding shape should be represented by the
                                    generating application
                                    as a placeholder.
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xslf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                   title="enum in org.apache.poi.sl.usermodel">Placeholder</a> in <a
                            href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFPlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html#getPlaceholder--">getPlaceholder</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html#getTextType--">getTextType</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xslf/usermodel/package-summary.html">org.apache.poi.xslf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                title="enum in org.apache.poi.sl.usermodel">Placeholder</a></span><span class="tabEnd">&nbsp;</span>
                        </caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>boolean</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlide.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSlide.html#getDisplayPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getDisplayPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSimpleShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFSimpleShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#getPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;ph)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFPlaceholderDetails</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#getPlaceholderDetails-org.apache.poi.sl.usermodel.Placeholder-">getPlaceholderDetails</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>protected
                                org.openxmlformats.schemas.drawingml.x2006.main.CTTextListStyle</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSlideMaster.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSlideMaster.html#getTextProperties-org.apache.poi.sl.usermodel.Placeholder-">getTextProperties</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;textType)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>protected <a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html"
                                    title="class in org.apache.poi.xslf.usermodel">XSLFTextShape</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFSheet.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFSheet.html#getTextShapeByType-org.apache.poi.sl.usermodel.Placeholder-">getTextShapeByType</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;type)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFTextShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFTextShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFBackground.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFBackground.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFConnectorShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFConnectorShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFPlaceholderDetails.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPlaceholderDetails.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code>void</code></td>
                            <td class="colLast"><span class="typeNameLabel">XSLFPictureShape.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xslf/usermodel/XSLFPictureShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a></span>(<a
                                    href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
                                    title="enum in org.apache.poi.sl.usermodel">Placeholder</a>&nbsp;placeholder)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/sl/usermodel/Placeholder.html"
               title="enum in org.apache.poi.sl.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/sl/usermodel/class-use/Placeholder.html" target="_top">Frames</a>
        </li>
        <li><a href="Placeholder.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
